<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.RemunerationPrevisioning" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="Remuneration_Previsioning">
        <id name="idprevisioning" type="java.lang.Integer">
            <column name="IDPrevisioning"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="idremuneration" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDRemuneration"/>
        </property>
        <property generated="never" lazy="false" name="previsioningIdentification" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="Previsioning_Identification"/>
        </property>
        <property generated="never" lazy="false" name="creditorId" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="CreditorID"/>
        </property>
        <property generated="never" lazy="false" name="denominazioneCreditore" optimistic-lock="true" type="string" unique="false">
            <column length="50" name="DenominazioneCreditore"/>
        </property>
        <property generated="never" lazy="false" name="bicCreditore" optimistic-lock="true" type="string" unique="false">
            <column length="11" name="BIC_Creditore"/>
        </property>
        <property generated="never" lazy="false" name="bicDebitore" optimistic-lock="true" type="string" unique="false">
            <column length="11" name="BIC_Debitore"/>
        </property>
        <property generated="never" lazy="false" name="trimestre" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Trimestre"/>
        </property>
        <property generated="never" lazy="false" name="anno" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Anno"/>
        </property>
        <property generated="never" lazy="false" name="numeroCmf" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Numero_CMF"/>
        </property>
        <property generated="never" lazy="false" name="prezzoUnitarioCmf" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="Prezzo_Unitario_CMF"/>
        </property>
        <property generated="never" lazy="false" name="totaleCmfUnitOrFlat" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Totale_CMF_Unit_Or_Flat"/>
        </property>
        <property generated="never" lazy="false" name="prezzoFlatCmf" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Prezzo_Flat_CMF"/>
        </property>
        <property generated="never" lazy="false" name="numeroDmf" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Numero_DMF"/>
        </property>
        <property generated="never" lazy="false" name="prezzoUnitarioDmf" optimistic-lock="true" type="string" unique="false">
            <column length="15" name="Prezzo_Unitario_DMF"/>
        </property>
        <property generated="never" lazy="false" name="totaleDmfUnitOrFlat" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Totale_DMF_Unit_Or_Flat"/>
        </property>
        <property generated="never" lazy="false" name="prezzoFlatDmf" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Prezzo_Flat_DMF"/>
        </property>
        <property generated="never" lazy="false" name="prezzoFlatTotale" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Prezzo_Flat_Totale"/>
        </property>
        <property generated="never" lazy="false" name="importoTotaleRemuneration" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Importo_Totale_Remuneration"/>
        </property>
        <property generated="never" lazy="false" name="importoTotaleRemunerationNum" optimistic-lock="true" type="java.lang.Double" unique="false">
            <column name="Importo_Totale_Remuneration_Num" precision="53" scale="0"/>
        </property>
        <property generated="never" lazy="false" name="divisa" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Divisa"/>
        </property>
        <property generated="never" lazy="false" name="flagRichiestaDetail" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagRichiestaDetail" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="dataRichiestaDetail" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Richiesta_Detail"/>
        </property>
        <property generated="never" lazy="false" name="richiestaMndtTp" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Richiesta_MndtTp"/>
        </property>
        <property generated="never" lazy="false" name="richiestaRqstTp" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Richiesta_RqstTp"/>
        </property>
        <property generated="never" lazy="false" name="esitoRichiestaDetail" optimistic-lock="true" type="string" unique="false">
            <column length="1" name="Esito_Richiesta_Detail"/>
        </property>
        <property generated="never" lazy="false" name="dataEsitoRichiestaDetail" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Esito_Richiesta_Detail"/>
        </property>
        <property generated="never" lazy="false" name="descrizioneEsitoRichiestaDetail" optimistic-lock="true" type="string" unique="false">
            <column length="70" name="Descrizione_Esito_Richiesta_Detail"/>
        </property>
        <property generated="never" lazy="false" name="datarendi" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Datarendi"/>
        </property>
        <property generated="never" lazy="false" name="flagNew" optimistic-lock="true" type="boolean" unique="false">
            <column name="Flag_New" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagUtil" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagUtil" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagStampa" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagStampa" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="totaleCmfDmf" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Totale_CMF_DMF"/>
        </property>
        <property generated="never" lazy="false" name="totaleCmfDmfCarico" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Totale_CMF_DMF_Carico"/>
        </property>
        <property generated="never" lazy="false" name="totaleCmfDmfQuadratura" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="Totale_CMF_DMF_Quadratura"/>
        </property>
        <property generated="never" lazy="false" name="dataUltimaQuadratura" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Ultima_Quadratura"/>
        </property>
    </class>
</hibernate-mapping>
